Subject: Re: Cant represent SWi relocation in object file, syscall.S - glibc

From: "vanitha raju" <[email-masked]>
Date: Mon, 26 Jun 2000 01:16:41 PDT

I get the same error message, even with the asm/unistd.h showing an entry 
for __NR_syscall, which is defined as (__NR_SYSCALL_BASE+113)

-vanitha

>
> >When compiling glibc, 2.1.3 I get the following error message:
> >"make - error in syscall.S. Cannot represnt SWI relocation in this
> >object file format."
> >
> >From one of the mails in the archive, with a similar problem, unistd.h is
> >pointed to as the problem. I dont know why/ how.
>
>The syscall numbers are defined in asm/unistd.h.  That error message means
>that one of them (__NR_syscall in your case) is missing.  This is 
>inevitably
>caused by an outdated header file.
>
>p.
>
>
>
>unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
>++        Please use [email-masked] for           
>++
>++                        kernel-related discussions.                      
>++

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: Philip Blundell <[email-masked]>
Date: Mon, 26 Jun 2000 10:38:18 +0100

>for __NR_syscall, which is defined as (__NR_SYSCALL_BASE+113)

Then I think you have to debug this yourself.  Take a look at the preprocessed 
assembler source and see what went wrong with the SWI instruction.  Its 
operand should be a constant.

p.